=== debian/changelog ===
gnushogi (1.4.2-6) unstable; urgency=medium

  * Fix Vcs-git field, broken in 1.4.2-5.
  * Remove usage of autotools_dev debhelper tools (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 16 Dec 2018 22:36:56 +0100

gnushogi (1.4.2-5) unstable; urgency=medium

  * Update Vcs-* fields to point to salsa. 
  * Fix URL to Homepage.

 -- Yann Dirson <dirson@debian.org>  Sun, 12 Aug 2018 23:34:39 +0200

gnushogi (1.4.2-4) unstable; urgency=medium

  * Don't ignore failures from sub-makes (Closes: #901539)

 -- Yann Dirson <dirson@debian.org>  Sun, 12 Aug 2018 14:39:58 +0200

gnushogi (1.4.2-3) unstable; urgency=medium

  * Switch to source format 3.0 (quilt).
  * Bumped Standards-Version to 3.9.5, no change.
  * Change menu entries to use Curses mode.
  * Add "Shogi" hint to menu entries.
  * Ensure any pattern.inc is removed in "clean".

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 20:37:07 +0100

gnushogi (1.4.2-2) unstable; urgency=medium

  * Switch back from cdbs to dh.
  * Add Vcs control fields.

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Feb 2014 00:23:22 +0100

gnushogi (1.4.2-1) unstable; urgency=medium

  * New upstream release, does not include xshogi any more.  Dropped
    buil-deps on X stuff, flex and bison.

 -- Yann Dirson <dirson@debian.org>  Mon, 17 Feb 2014 21:42:17 +0100

gnushogi (1.4.1-2) unstable; urgency=low

  * Set LIBDIR and friends at compile-time, so we look for opening book in
    the location we install it to.
  * Move opening book location into /usr/lib/games/gnushogi/.

 -- Yann Dirson <dirson@debian.org>  Thu, 06 Feb 2014 22:51:04 +0100

gnushogi (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Jan 2014 21:59:11 +0100

gnushogi (1.4.1~rc1-1) unstable; urgency=low

  * New upstream prerelease.
    * No need for texi2hml any more, adjust packaging for new html filenames.
    * Fixes most "implicit declarations" caught by build log scanner.
  * Fix debian/watch to declare version=3, so version mangling works as
    expected.

 -- Yann Dirson <dirson@debian.org>  Wed, 18 Dec 2013 22:15:57 +0100

gnushogi (1.4.1~rc0-1) unstable; urgency=low

  * New upstream prerelease.
  * All patches integrated upstream, dropped.
  * Adjusted rules for building minishogi, now selectable using configure
    flag.
  * Activate --enable-xshogi (disabled by default in 1.4.0) and
    --with-curses (just to be sure).
  * No need to override paths to pattern files any more.
  * Explicitly build HTML docs, not in upstream tarball any more.
    Build-depend on texi2hml for this.
  * Update debian/watch to see prerelease snapshots.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Dec 2013 22:48:45 +0100

gnushogi (1.3.2-10) unstable; urgency=low

  * Fix mini-Shogi out-of-bounds access (H.G. Muller).
  * Add a patch to honor LDFLAGS, so ld can be told to use relro.
  * Bumped Standards-Version to 3.9.4, no change.
  * Switched to debhelper 9.

 -- Yann Dirson <dirson@debian.org>  Mon, 30 Sep 2013 00:36:48 +0200

gnushogi (1.3.2-9) unstable; urgency=low

  * Add the single new patch of interest to us that 1.4.0 brings upstream,
    fixing a buffer overflow in InputCommand.
  * Fix command for building info file (Closes: #645864)
  * Add a debian/watch to prevent the "-latest" symlink from hiding the real
    latest version.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 May 2012 23:16:13 +0200

gnushogi (1.3.2-8) unstable; urgency=low

  * Fixed Homepage field in debian/control, to point to the caltech site
    which appears to be more reliable.
  * Improve package short descriptions (lintian).
  * New patch to deal with -Wformat-security (Closes: #643572):
    22-format-string.patch.
  * New set of patches to improve MiniShogi player and fix it with
    some (read) buffer overflows which surely did not make it stronger.
    Buffer overflow detected by hardening flags and induced all this work.
  * Explicitly declare source format 1.0.
  * Bumped Standards-Version to 3.9.2, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 29 Sep 2011 00:15:34 +0200

gnushogi (1.3.2-7) unstable; urgency=low

  * Reworked extended descriptions.
  * Wrapped long lines in debian/rules for clarity.
  * Build gnushogi in its own BUILD-std subdir.
  * Activate build of the gnuminishogi binary, ship it in its own package.
  * Added myself to the debian/copyright*.
  * Dropped leftover .pc/ from source package.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 05 Sep 2009 17:52:17 +0200

gnushogi (1.3.2-6) unstable; urgency=low

  * New maintainer.
  * Switch packaging to cdbs + simple-patchsys.
  * Dropped special handling of config.*, now handled by cdbs.
  * Factorize common install options.
  * Include my fixes+minishogi patch series (do not activate minishogi
    build yet):
    * 04-errno-fix.patch - Errno mis-redifinition.
    * 03-proto-fix.patch - Fix a function prototype.
    * 05-ai-overflow.patch - Integer overflow possibly handicaping the AI.
    * 06-fix-runnaway.patch - Avoid eating 100% CPU on Ctrl-C.
    * 10-out-of-tree.patch - Allow building out of source tree
    * 11-refactor-enums.patch - Use enums.
    * 12-refactor-constants.patch - Parametrize more hardcoded contants.
    * 13-refactor-statify.patch - Statify functions when possible.
    * 14-internals-doc.patch - Document some internal APIs.
    * 20-minishogi.patch - Initial minishogi support.
    * 21-gen-patterns.patch - Generate patterns.inc at build time.
  * Adjust 21-gen-patterns.patch not to cause removal of patterns.inc,
    since that confuses the patch system at clean-time.
  * Save patterns.inc before building and resture it on clean, to avoid
    spurious diffs.
  * Build-depend on x11-utils instead of the obsolete xutils (lintian).
  * Fixed "X Windows" typo in xshogi extended description.
  * Make gnushogi suggest tagua as an alternative frontend.

