=== debian/control ===
Source: gnushogi
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, libncurses-dev, texinfo
Standards-Version: 3.9.5
Homepage: https://www.gnu.org/software/gnushogi/
Vcs-git: https://salsa.debian.org/debian/gnushogi.git
Vcs-browser: https://salsa.debian.org/debian/gnushogi

Package: gnushogi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xshogi, tagua
Description: program to play shogi, the Japanese version of chess
 Gnushogi is a computer player for Shogi (Japanese chess).
 .
 Gnushogi is a modified version of the gnuchess program. It can be
 used through xshogi, tagua, kaya, or other graphical frontends, but
 also has a simple alpha-numeric board display.

Package: gnuminishogi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tagua
Description: program to play minishogi, a shogi variant on a 5x5 board
 Gnuminishogi is a computer player for the MiniShogi variant of shogi
 (Japanese chess).
 .
 Gnuminishogi is a modified version of the gnushogi program. It can be
 used through tagua, kaya, or other graphical frontends, but also has a
 simple alpha-numeric board display.
