## gnushogi 1.5~git20140725

=== debian/changelog ===
gnushogi (1.5~git20140725-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Cast time() args to time_t instead of long. (Closes: #1091258)

 -- Bastian Germann <bage@debian.org>  Mon, 20 Jan 2025 22:39:47 +0000

gnushogi (1.5~git20140725-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow incompatible pointer types. (Closes: #1091258)

 -- Bastian Germann <bage@debian.org>  Tue, 31 Dec 2024 15:39:32 +0000

gnushogi (1.5~git20140725-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to unstable (Closes: #1030322)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 23:39:21 +0200

gnushogi (1.5~git20140725-2) experimental; urgency=medium

  * Update Vcs-* fields to point to salsa.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Apr 2020 19:54:19 +0200

gnushogi (1.5~git20140725-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs URLs.

 -- Yann Dirson <dirson@debian.org>  Fri, 25 Jul 2014 22:48:28 +0200

gnushogi (1.5~git20140222-1) experimental; urgency=medium

  * New upstream release, fixing regression preventing a number of
    commands in xshogi mode to be honored, and using the new
    "engine-defined variant" xboard protocol for minishogi.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 22:52:54 +0100

gnushogi (1.5~git20140217-2) experimental; urgency=medium

  * Sync with final 1.4.2-3.
  * Add menu entries for launching in XBoard.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 21:25:30 +0100

gnushogi (1.5~git20140217-1) experimental; urgency=medium

  * New upstream snapshot:
    * xboard support, suggest xboard (>> 4.8~) as primary GUI,
      recommend one of xboard | tagua.
   * No need for a separate build for gnuminishogi

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Feb 2014 21:24:46 +0100

gnushogi (1.4.2-7) unstable; urgency=medium

  * Fix build with gcc-10 (Closes: #957294).

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Aug 2020 23:15:18 +0200
