=== debian/control ===
--- 
+++ 
@@ -12,22 +12,24 @@
 Package: gnushogi
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: xshogi, tagua
+Recommends: xboard (>> 4.8~) | tagua
+Suggests: xboard (>> 4.8~), tagua, xshogi
 Description: program to play shogi, the Japanese version of chess
  Gnushogi is a computer player for Shogi (Japanese chess).
  .
  Gnushogi is a modified version of the gnuchess program. It can be
- used through xshogi, tagua, kaya, or other graphical frontends, but
- also has a simple alpha-numeric board display.
+ used through xboard, tagua, xshogi, kaya, or other graphical
+ frontends, but also has a simple alpha-numeric board display.
 
 Package: gnuminishogi
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: tagua
+Recommends: xboard (>> 4.8~) | tagua
+Suggests: xboard (>> 4.8~), tagua
 Description: program to play minishogi, a shogi variant on a 5x5 board
  Gnuminishogi is a computer player for the MiniShogi variant of shogi
  (Japanese chess).
  .
  Gnuminishogi is a modified version of the gnushogi program. It can be
- used through tagua, kaya, or other graphical frontends, but also has a
- simple alpha-numeric board display.
+ used through xboard, tagua, kaya, or other graphical frontends, but
+ also has a simple alpha-numeric board display.
