=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_CFLAGS_MAINT_APPEND	= -Wno-error=incompatible-pointer-types

ifeq ($(DEB_BUILD_ARCH),alpha)
	CFLAGS += -O0
endif

%:
	dh ${@} -BBUILD --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-curses \
		--bindir=/usr/games \
		--libdir=/usr/lib/games

override_dh_auto_build:
	dh_auto_build -- all html

override_dh_install:
	dh_install --fail-missing
